import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup, AbstractControl, FormGroupDirective, ControlContainer } from '@angular/forms';
import { DatePickerOptions } from '../../Shared/Models/datePickerOptions';
import { ErrorMassageValidation } from '../../Shared/services/validationErrorMassage.service';
import { ControlUtility } from '../../Shared/services/ControlUtility';
import { OnPagingFiltersChangeService } from '../../Shared/services/OnPagingFiltersChange.service';
export declare class DateInputComponent implements OnInit {
    private onChangeService;
    private ErrorHandler;
    private controlUtility;
    private controlContainer;
    DateInputControlHost: FormGroupDirective;
    static controlContainerstatic: any;
    constructor(onChangeService: OnPagingFiltersChangeService, ErrorHandler: ErrorMassageValidation, controlUtility: ControlUtility, controlContainer: ControlContainer, DateInputControlHost: FormGroupDirective);
    group: FormGroup;
    options: DatePickerOptions;
    DatePickerFormControl: AbstractControl;
    OnChange: EventEmitter<any>;
    markAllAsTouched: boolean;
    validationRules: any[];
    validationRulesasync: any[];
    ngOnInit(): void;
    ngAfterViewInit(): void;
    resetError: () => void;
    showGlobalError(): void;
    getErrorValidation(ErrorList: any): string;
    copyInputMessage(inputElement: any): void;
    getSelectMode(type: number): string;
    getPickerType(type: number): string;
    getStartView(type: number): string;
    onDateSelect(item: any): void;
    RemoveRequiredValidation: () => void;
    AddRequiredValidation: () => void;
    RemoveCustomValidation: (CustomValidation: any) => void;
    AddCustomValidation: (CustomValidation: any) => void;
    IsValid: () => void;
}
